program Slowmodel_25D
  use SEP
  implicit none 
  integer                           :: n1,n2,ix,iz	
  real, dimension(:,:) , allocatable:: avel,bvel
  real                              :: a1,b1,z1,a2,b2,z2,a3,b3,z3,a4,b4,z4
  real                              :: a5,b5,z5,a6,b6,z6,a7,b7,z7,a8,b8,z8
  real                              :: dz,o1,o2,d1,d2,p2
  call sep_init()
  call from_param  ("n1"    ,n1 ,1          );
  call from_param  ("n2"    ,n2 ,1          );
  call from_param  ("o1"    ,o1 ,0.          );
  call from_param  ("o2"    ,o2 ,0.          );
  call from_param  ("d1"    ,d1 ,0.          );
  call from_param  ("d2"    ,d2 ,0.          );
  call from_param  ("dz"    ,dz ,1.         );
  call from_param  ("a1"    ,a1 ,0.         );
  call from_param  ("b1"    ,b1 ,0.         );
  call from_param  ("z1"    ,z1 ,0.         );
  call from_param  ("a2"    ,a2 ,0.         );
  call from_param  ("b2"    ,b2 ,0.         );
  call from_param  ("z2"    ,z2 ,0.         );
  call from_param  ("a3"    ,a3 ,0.         );
  call from_param  ("b3"    ,b3 ,0.         );
  call from_param  ("z3"    ,z3 ,0.         );
  call from_param  ("a4"    ,a4 ,0.         );
  call from_param  ("b4"    ,b4 ,0.         );
  call from_param  ("z4"    ,z4 ,0.         );
  call from_param  ("a5"    ,a5 ,0.         );
  call from_param  ("b5"    ,b5 ,0.         );
  call from_param  ("z5"    ,z5 ,0.         );
  call from_param  ("a6"    ,a6 ,0.         );
  call from_param  ("b6"    ,b6 ,0.         );
  call from_param  ("z6"    ,z6 ,0.         );
  call from_param  ("a7"    ,a7 ,0.         );
  call from_param  ("b7"    ,b7 ,0.         );
  call from_param  ("z7"    ,z7 ,0.         );
  call from_param  ("a8"    ,a8 ,0.         );
  call from_param  ("b8"    ,b8 ,0.         );
  call from_param  ("z8"    ,z8 ,0.         );
  call from_param  ("p2"    ,p2 ,0.         );
  call auxputch    ("n1","i",n1,"aslow.H"   );
  call auxputch    ("n2","i",n2,"aslow.H"   );
  call auxputch    ("o1","r",0.0,"aslow.H"   );
  call auxputch    ("o2","r",o2,"aslow.H"   );
  call auxputch    ("d1","r",dz,"aslow.H"   );
  call auxputch    ("d2","r",d2,"aslow.H"   );
  call auxputch    ("n1","i",n1,"bslow.H"   );
  call auxputch    ("n2","i",n2,"bslow.H"   );  
  call auxputch    ("o1","r",0.0,"bslow.H"   );
  call auxputch    ("o2","r",o2,"bslow.H"   );
  call auxputch    ("d1","r",dz,"bslow.H"   );
  call auxputch    ("d2","r",d2,"bslow.H"   );
  call hclose()
  allocate (avel(n1,n2),bvel(n1,n2) )
  avel=0.; bvel=0.
  do ix=1,n2
     do iz=1,floor(z1)
        avel(iz,ix)=sqrt(1./a1**2-p2**2); bvel(iz,ix)=sqrt(1./b1**2-p2**2);
     end do
     do iz=floor(z1)+1,floor(z2)
        avel(iz,ix)=sqrt(1./a2**2-p2**2); bvel(iz,ix)=sqrt(1./b2**2-p2**2);
     end do
     do iz=floor(z2)+1,floor(z3)
        avel(iz,ix)=sqrt(1./a3**2-p2**2); bvel(iz,ix)=sqrt(1./b3**2-p2**2);
     end do
     do iz=floor(z3)+1,floor(z4)
        avel(iz,ix)=sqrt(1./a4**2-p2**2); bvel(iz,ix)=sqrt(1./b4**2-p2**2);
     end do
     do iz=floor(z4)+1,floor(z5)
        avel(iz,ix)=sqrt(1./a5**2-p2**2); bvel(iz,ix)=sqrt(1./b5**2-p2**2);
     end do
     do iz=floor(z5)+1,floor(z6)
        avel(iz,ix)=sqrt(1./a6**2-p2**2); bvel(iz,ix)=sqrt(1./b6**2-p2**2);
     end do
     do iz=floor(z6)+1,floor(z7)
        avel(iz,ix)=sqrt(1./a7**2-p2**2); bvel(iz,ix)=sqrt(1./b7**2-p2**2);
     end do
     do iz=floor(z7)+1,n1
        avel(iz,ix)=sqrt(1./a8**2-p2**2); bvel(iz,ix)=sqrt(1./b8**2-p2**2);
     end do
  end do
  write(0,*) avel(1:10,1)
  call sep_write(avel,"aslow.H")
  call sep_write(bvel,"bslow.H")

end program Slowmodel
