program Velprofile
  use SEP
  implicit none 
  integer                           :: n1,iz	
  real, dimension(:) , allocatable  :: avel,bvel
  real                              :: a1,b1,z1,a2,b2,z2,a3,b3,z3,a4,b4,z4
  real                              :: a5,b5,z5,a6,b6,z6,a7,b7,z7,a8,b8,z8
  real                              :: dz
  call sep_init()
  call from_param  ("n1"    ,n1 ,0          );
  call from_param  ("dz"    ,dz ,0.         );
  call from_param  ("a1"    ,a1 ,0.         );
  call from_param  ("b1"    ,b1 ,0.         );
  call from_param  ("z1"    ,z1 ,0.         );
  call from_param  ("a2"    ,a2 ,0.         );
  call from_param  ("b2"    ,b2 ,0.         );
  call from_param  ("z2"    ,z2 ,0.         );
  call from_param  ("a3"    ,a3 ,0.         );
  call from_param  ("b3"    ,b3 ,0.         );
  call from_param  ("z3"    ,z3 ,0.         );
  call from_param  ("a4"    ,a4 ,0.         );
  call from_param  ("b4"    ,b4 ,0.         );
  call from_param  ("z4"    ,z4 ,0.         );
  call from_param  ("a5"    ,a5 ,0.         );
  call from_param  ("b5"    ,b5 ,0.         );
  call from_param  ("z5"    ,z5 ,0.         );
  call from_param  ("a6"    ,a6 ,0.         );
  call from_param  ("b6"    ,b6 ,0.         );
  call from_param  ("z6"    ,z6 ,0.         );
  call from_param  ("a7"    ,a7 ,0.         );
  call from_param  ("b7"    ,b7 ,0.         );
  call from_param  ("z7"    ,z7 ,0.         );
  call from_param  ("a8"    ,a8 ,0.         );
  call from_param  ("b8"    ,b8 ,0.         );
  call from_param  ("z8"    ,z8 ,0.         );
  call auxputch    ("n1","i",n1,"avel.H"    );
  call auxputch    ("n1","i",n1,"bvel.H"    );
  call hclose()
  allocate (avel(n1),bvel(n1) )
  avel=0.; bvel=0.
  do iz=1,floor(z1)
     avel(iz)=a1; bvel(iz)=b1;
  end do
  do iz=floor(z1)+1,floor(z2)
     avel(iz)=a2; bvel(iz)=b2;
  end do
  do iz=floor(z2)+1,floor(z3)
     avel(iz)=a3; bvel(iz)=b3;
  end do
  do iz=floor(z3)+1,floor(z4)
     avel(iz)=a4; bvel(iz)=b4;
  end do
  do iz=floor(z4)+1,floor(z5)
     avel(iz)=a5; bvel(iz)=b5;
  end do
  do iz=floor(z5)+1,floor(z6)
     avel(iz)=a6; bvel(iz)=b6;
  end do
  do iz=floor(z6)+1,floor(z7)
     avel(iz)=a7; bvel(iz)=b7;
  end do
  do iz=floor(z7)+1,n1
     avel(iz)=a8; bvel(iz)=b8;
  end do
  call sep_write(avel,"avel.H")
  call sep_write(bvel,"bvel.H")

end program Velprofile
